Name:           keepnote
Version:        0.7.8
Release:        %mkrel 4
Group:          Office/Organizer
License:        GPLv2
Summary:        KeepNote lets you keep notes
Source:         http://keepnote.org/download/%{name}-%{version}.tar.gz
URL:            http://keepnote.org/
BuildArch:	noarch
BuildRequires:	python-devel

%description
KeepNote is a note taking application. With KeepNote, you can store your class
notes, TODO lists, research notes, journal entries, paper outlines, etc in a
simple notebook hierarchy with rich-text formatting, images, and more.
Using full-text search, you can retrieve any note for later reference.

KeepNote is designed to be cross-platform (implemented in Python and PyGTK).
Archiving and transferring your notes is as easy as zipping or copying folders.
KeepNote is an application that lets organize your notes.

%prep
%setup -q

#fix desktop file, add ; to end of Categories list
sed -i -e 's|\(Categories.*\)|\1;|' desktop/keepnote.desktop

%build

%install
python setup.py install --root=%{buildroot}

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}-py%{py_ver}.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.7.8-4.mga4
+ Revision: 542666
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.7.8-3.mga4
+ Revision: 497838
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jan 12 2013 umeabot <umeabot> 0.7.8-2.mga3
+ Revision: 356119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 dams <dams> 0.7.8-1.mga3
+ Revision: 309979
- new version 0.7.8
- clean specfile
- update %%description

* Sat Oct 01 2011 ofaurax <ofaurax> 0.7.5-1.mga2
+ Revision: 150753
- New version 0.7.5

* Sat Oct 01 2011 ofaurax <ofaurax> 0.7.3-1.mga2
+ Revision: 150730
- imported package keepnote


* Sun Jul 03 2011 Jani Välimaa <wally@mandriva.org> 0.7.3-1mdv2011.0
+ Revision: 688595
- new version 0.7.3

* Wed Jun 01 2011 Jani Välimaa <wally@mandriva.org> 0.7.2-1
+ Revision: 682298
-new version 0.7.2

* Sun Apr 03 2011 Jani Välimaa <wally@mandriva.org> 0.7-1
+ Revision: 649993
- new version 0.7
- drop buildroot definition
- minor .spec cleanup

* Wed Nov 24 2010 Jani Välimaa <wally@mandriva.org> 0.6.7-1mdv2011.0
+ Revision: 600405
- new version 0.6.7
- fix .desktop file

* Sat Nov 20 2010 Olivier Faurax <ofaurax@mandriva.org> 0.6.6-3mdv2011.0
+ Revision: 599267
- adding correct sources
- New version + use URL as Source

* Sat Nov 20 2010 Olivier Faurax <ofaurax@mandriva.org> 0.6.5-3mdv2011.0
+ Revision: 599263
- rebuild

* Sat Nov 06 2010 Jani Välimaa <wally@mandriva.org> 0.6.5-2mdv2011.0
+ Revision: 594289
- tag package as noarch
- install files to python_sitelib

* Sat Oct 23 2010 Olivier Faurax <ofaurax@mandriva.org> 0.6.5-1mdv2011.0
+ Revision: 587596
- new version 0.6.5

* Thu Aug 19 2010 Olivier Faurax <ofaurax@mandriva.org> 0.6.4-1mdv2011.0
+ Revision: 571380
- New version 0.6.4
- Corrections from Nicnlecureuil: use %%_datadir rather than %%_prefix/share
- lang handling
- don't own system dirs

* Sat Mar 13 2010 Olivier Faurax <ofaurax@mandriva.org> 0.6.2-1mdv2010.1
+ Revision: 518619
- New version 0.6.2
- Revert unneeded dependency
- Added libpython-devel dependency

* Thu Dec 24 2009 Olivier Faurax <ofaurax@mandriva.org> 0.6.1-1mdv2010.1
+ Revision: 481932
- Missing python-devel dependency
--install-lib for 64bits build
- import keepnote


